/***
 * 
 * Felipe Brahm
 * Ayudante de Ctedra
 * Introduccin a la Programacin - IIC1102 Seccin 4
 * Pontificia Universidad Catlica de Chile
 *
 * lebrahm <at> uc <punto> cl
 * ICQ#50566818
 *
 * (CC)2006
 * 
 * */

import iic1102Package.Interfaz;

public class EstacionMetereologica {
	
	public static void main(String[] args) {
		
		Clima santiago = new Clima();
		Clima puertoMontt = new Clima();
		int valor;

		/***
		 * 
		 * En un mtodo se puede ingresar como argumento el resultado de otro mtodo.
		 * La otra opcin, para que se vea ms ordenado, es almacenar temporalmente el resultado
		 * del otro mtodo en una variable y luego ingresar sta como argumento en el otro mtodo.
		 * Para optimizar recursos, es preferible la primera opcin.
		 * Pero en otros casos, es preferible la segunda opcin, ya que as es
		 * ms fcil de entender para otros programadores y se pueden realizar cambios
		 * en el cdigo ms rapidamente.
		 * 
		 * De todas formas, se obtiene el mismo resultado con ambas.
		 * 
		 * */
		
		santiago.setTemperatura(Interfaz.PedirEntero("Ingrese la temperatura de hoy para Santiago."));
		
		valor = Interfaz.PedirEntero("Ingrese la temperatura de hoy para Puerto Montt.");
		puertoMontt.setTemperatura(valor);

		valor = Interfaz.PedirEntero("Ingrese la presin de hoy para Santiago.");
		santiago.setPresion(valor);
		
		valor = Interfaz.PedirEntero("Ingrese la presin de hoy para Puerto Montt.");
		puertoMontt.setPresion(valor);
		
		valor = Interfaz.PedirEntero("Ingrese la humedad de hoy para Santiago.");
		santiago.setHumedad(valor);
		
		valor = Interfaz.PedirEntero("Ingrese la humedad de hoy para Puerto Montt.");
		puertoMontt.setHumedad(valor);
		
		Interfaz.MostrarMensaje(	"Santiago:\n" +
									"- Temperatura: " + 
									santiago.getTemperatura() +
									"C\n" +
									"- Presin: " + santiago.getPresion() + " kPa" + "\n" +
									"- Humedad: " + santiago.getHumedad() + "%");
		
		Interfaz.MostrarMensaje(	"Puerto Montt:\n" +
				"- Temperatura: " + 
				puertoMontt.getTemperatura() +
				"C\n" +
				"- Presin: " + puertoMontt.getPresion() + " kPa" + "\n" +
				"- Humedad: " + puertoMontt.getHumedad() + "%");
	}

}
